#827 closed enhancement (fixed)

sparc BSP update

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: lowest Milestone: 2
Component: bsps Version: unknown
Severity: minor Keywords:
Cc: bugs@…, ken.peters@… Blocked By:
Blocking:

Description

I have attached a patch for rtems-4.6.4. It adds a leon3 bsp, and also removes the need for non-fpu bsps (erc32nfp, leon2nfp). The sparc code now automatically detects fpu presence at run-time, rather than at compile-time. The patch also includes a network driver for the Opencores ethernet MAC.

It includes the previously described changes, and also a lan91c111 ethernet driver. The driver has attach functions in leon2 and leon3 bsps, but sits in libchip so it is available for general use.

Release:
unknown

Attachments (3)

rtems-4.6.4-1.0.2.diff.txt.gz (101.0 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:12 PM.
rtems-4.6.4-1.0.2.diff.txt.gz
rtems-sparc-update-cvs.diff.gz (99.8 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:12 PM.
rtems-sparc-update-cvs.diff.gz
sparc-46-joel-20051005.diff.bz2 (46.3 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:12 PM.
sparc-46-joel-20051005.diff.bz2

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Mar 7, 2006 at 9:15:05 PM by Joel Sherrill

Status: assignedclosed

comment:2 Changed on Aug 24, 2006 at 6:48:51 PM by ken.peters

From: Ken.Peters@…
To: bugs
Cc:
Subject: PR827 patch not fully applied to CVS tree
Date: Thu, 24 Aug 2006 14:48:51 -0500

Notify-List: jiri@…
Category: bsps
Synopsis: PR827 patch not fully applied to CVS tree
Confidential: no
Severity: serious
Priority: medium
Class: sw-bug
Submitter-Id: net
Originator: Ken Peters
Release: 4.6.6 & CVS head
Organization:

JPL

Environment:

all sparc targets

Description:

PR827 diffs for file cpukit/score/cpu/sparc/rtems/score/sparc.h have not been applied to 4.6.6 or the CVS head. Results in sparc targets unexpectedly not using the hardware FPU.
Have inspected all non-leon and non-network files and do not see any other significant missing patches. Do not know about leon and network files.

How-To-Repeat:
Fix:

Apply the diffs from PR827 for file cpukit/score/cpu/sparc/rtems/score/sparc.h

Unformatted:

Changed on Dec 3, 2006 at 1:31:12 PM by Joel Sherrill

sparc-46-joel-20051005.diff.bz2

Note: See TracTickets for help on using tickets.